org.apache.lucene.codecs.blockterms

## Class FixedGapTermsIndexReader

- java.lang.Object
- - org.apache.lucene.codecs.blockterms.TermsIndexReaderBase
  - - org.apache.lucene.codecs.blockterms.FixedGapTermsIndexReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable

      public class FixedGapTermsIndexReader
      extends TermsIndexReaderBase

  TermsIndexReader for simple every Nth terms indexes.
  See Also:
    `FixedGapTermsIndexWriter`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.codecs.blockterms.TermsIndexReaderBase

      `TermsIndexReaderBase.FieldIndexEnum`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedGapTermsIndexReader(SegmentReadState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Collection<Accountable>` | `getChildResources()`
    `TermsIndexReaderBase.FieldIndexEnum` | `getFieldEnum(FieldInfo fieldInfo)`
    `long` | `ramBytesUsed()`
    `boolean` | `supportsOrd()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedGapTermsIndexReader

          public FixedGapTermsIndexReader(SegmentReadState state)
                                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### supportsOrd

          public boolean supportsOrd()

      Specified by:
        `supportsOrd` in class `TermsIndexReaderBase`

    - #### getFieldEnum

          public TermsIndexReaderBase.FieldIndexEnum getFieldEnum(FieldInfo fieldInfo)

      Specified by:
        `getFieldEnum` in class `TermsIndexReaderBase`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `TermsIndexReaderBase`
      Throws:
        `IOException`

    - #### ramBytesUsed

          public long ramBytesUsed()

    - #### getChildResources

          public Collection<Accountable> getChildResources()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.